<?php
require '../../../wp-load.php';
include_once(Shopstato_PLUGIN_DIR . '/class.shopstato.php');

if (intval(get_option('shopstatoOldOrders'))==1) { 
    echo '<h1>Import již se provedl</h1>';
    exit;
}

$shopstato = new ShopsatoConnector(get_option('shopstatoUrl'), get_option('shopstatoToken'));
$query   = new WC_Order_Query( array(
    'date_query' => array(
        'column' => 'post_date',
        'after' => date('Y-m-d H:i:s', strtotime("-90 days"))
      ),
    'limit'      => 1200,
    'orderby'    => 'date',
    'order'      => 'DESC',
    'return'     => 'ids',
) );
$ordersList  = $query->get_orders();
foreach ( $ordersList as $order_id ) {
   $orders[] = $shopstato->getOrderData($order_id);
}

$jsonData = json_encode($orders);
$response = $shopstato->connect('orders', $jsonData);
if ($response['status'] == 'ok') {
    echo '<h3>Import do Shopstato API</h3>';
    echo '<strong>Datum importu:</strong> ' . $response['date'] . '<br>';
    echo '<strong>Název e-shopu:</strong>' . $response['nameEshop'] . '<br>';
    echo '<strong>Období:</strong>' . $response['startCurrentMonth'] . ' - ' . $response['endCurrentMonth'] . '<br>';
    echo '<strong>Počet objednávek:</strong>' . $response['currentCountOrder'] . '<br>';
    echo '<strong>Zpráva:</strong><br> ' . $response['resApi'] . '<br>';
    echo '<strong>Ignorované objednávky:</strong><br>';
    foreach($response['ignorOrders'] as $item) {
        echo $item.'<br>';
    }
    update_option( 'shopstatoOldOrders',1);

} else {
    echo '<h3>Chyba připojení k Shopstato API.</h3>';
    echo '<strong>Zkontrolujte si token a adresu API</strong><br>';
    if ($response['status'] == 'ERROR') {
        echo 'Status: ' . $response['status'] . '<br>';
        echo 'Důvod: ' . $response['message'] . '<br>';
    } else {
        echo 'Status: ' . $response['status'] . '<br>';
        echo 'Detail: ' . $response['detail'] . '<br>';
    }
}

